<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Message</title>
</head>
<body>
    <h1>Message</h1>

    <c:set var="ident" value="1" scope="page" />

    <form action="#" th:action="@{/msg}" th:object="${newMessage}" method="post" >
        <p>Author:</p>
        <input type="text" th:field="*{author}">
        <p>Message:</p>
        <input type="text" th:field="*{messages}">
        <input type="submit" value="Save">
    </form>

    <div th:each="msg : ${msgList} ">
        <p th:text="${msg.author}"></p>
        <p th:text="${msg.timeStamp}"></p>
        <p th:text="${msg.messages}"></p>
        <p th:text="${msg.id}"></p>
     <a th:href="@{'/msg/'+ ${msg.id}}"> update</a>
    </div>
</body>
</html>